<div class="tic-tac-toe-game-menu">
  <h2>Menu</h2>
  <form
    [formGroup]="settingsForm"
    (ngSubmit)="onStartGame()"
    *ngIf="(gameStatus$ | async) != GAME_STATUS.RUNNING; else inGameMenu"
  >
    <fieldset class="form-group">
      <legend>Game Mode:</legend>
      <label for="hvm" class="paper-radio">
        <input
          type="radio"
          name="mode"
          id="hvm"
          value="hvm"
          formControlName="mode"
        /><span>Human VS Machine</span>
      </label>
      <label for="hvh" class="paper-radio">
        <input
          type="radio"
          name="mode"
          id="hvh"
          value="hvh"
          formControlName="mode"
        />
        <span>Human VS Human</span>
      </label>
    </fieldset>
    <fieldset
      class="form-group"
      *ngIf="settingsForm.get('mode').value === 'hvm'"
    >
      <legend>Difficulty:</legend>
      <label for="easy" class="paper-radio">
        <input
          type="radio"
          name="difficulty"
          id="easy"
          value="easy"
          formControlName="difficulty"
        /><span>Easy</span>
      </label>
      <label for="novice" class="paper-radio">
        <input
          type="radio"
          name="difficulty"
          id="novice"
          value="novice"
          formControlName="difficulty"
        />
        <span>Novice</span>
      </label>
      <!-- <label for="master" class="paper-radio">
        <input
          type="radio"
          name="difficulty"
          id="master"
          value="master"
          disabled
          formControlName="difficulty"
        />
        <span>Master</span>
      </label> -->
    </fieldset>
    <button class="btn-block" type="submit">Start Game</button>
  </form>
  <ng-template #inGameMenu>
    <div class="in-game-menu">
      <p class="in-game-menu__mode">Mode: {{ gameMode$ | async }}</p>
      <p
        class="in-game-menu__difficulty"
        *ngIf="(gameMode$ | async) === GAME_MODE.hvm"
      >
        Difficulty: {{ gameDifficulty$ | async }}
      </p>

      <div class="in-game-menu__items">
        <button class="btn-block" type="button" (click)="onRestartGame()">
          Restart Game
        </button>
        <button
          class="btn-block btn-secondary"
          type="button"
          (click)="onExitGame()"
        >
          Exit Game
        </button>
      </div>
    </div>
  </ng-template>
</div>
